Name: ggz-client-libs
Version: 0.0.14.1
Release: alt1

Summary: Client libraries for GGZ gaming zone
License: LGPL
Group: System/Libraries
URL: http://www.ggzgamingzone.org/

Source0: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%version/%name-%version.tar.gz

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Tue Apr 15 2008
BuildRequires: gcc-c++ libexpat-devel libggz-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

This package contains the %name shared libraries.

%package devel
Group: Development/C
Summary: Header files, libraries and development documentation for %name
Requires: %name = %version-%release
Requires: libggz-devel

%description devel
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

This package contains development files for %name.

%prep
%setup -q

%build
%configure \
	--disable-debug \
	--disable-static \
	--enable-ggzwrap
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang ggzcore
%find_lang ggz-config
cat ggz*.lang >> all.lang

# make empty ggz.modules
touch %buildroot%_sysconfdir/ggz.modules

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f all.lang
%doc AUTHORS ChangeLog INSTALL NEWS QuickStart.GGZ README README.GGZ
%_sysconfdir/ggz.modules
%_sysconfdir/xdg/menus/applications-merged/ggz.merge.menu
%_sysconfdir/xdg/menus/ggz.menu
%_bindir/ggz-config
%_bindir/ggz-wrapper
%_bindir/ggz
%_libdir/ggz
%_libdir/lib*.so.*
%_datadir/desktop-directories/ggz-games.directory
%_datadir/desktop-directories/ggz.directory
%_man1dir/*
%_man5dir/*
%_man6dir/*
%_man7dir/*

%files devel
%_includedir/*
%_libdir/lib*.so
%_man3dir/*

%changelog
* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 0.0.14.1-alt1
- 0.0.14 -> 0.0.14.1
- disable debug

* Thu May 24 2007 Igor Zubkov <icesik@altlinux.org> 0.0.14-alt1
- build for Sisyphus

